petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESGetConvergedReason

Gets the reason the SNES iteration was stopped.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetConvergedReason(SNES snes,SNESConvergedReason *reason)

Not Collective

### Input Parameter

snes -the SNES context

### Output Parameter

reason -negative value indicates diverged, positive value converged, see SNESConvergedReason or the manual pages for the individual convergence tests for complete lists

### Options Database

-snes_converged_reason -prints the reason to standard out

### Notes

Should only be called after the call the SNESSolve() is complete, if it is called earlier it returns the value SNES__CONVERGED_ITERATING.

### See Also

SNESSetConvergenceTest(), SNESSetConvergedReason(), SNESConvergedReason

### Level

intermediate

### Location

src/snes/interface/snes.c

### Examples

src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex42.c.html
src/snes/examples/tutorials/ex48.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages